apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-argo-repo-access
  namespace: argocd
spec:
  description: Allow access to the ArgoCD repo server
  egress:
    - toEntities:
        - world
  endpointSelector:
    matchLabels:
      app.kubernetes.io/component: repo-server
